using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using PTMedicalInsurance.Variables;

namespace PTMedicalInsurance.Business.Core.SelfServiceMachine.Process.OutPat
{
    class UploadFee : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            //费用上传
            if (hBus.uploadFee("2204", 50, out outParam) != 0)
            {
                outParam = JsonHelper.setExceptionJson(-1, "费用上传", outParam).ToString();
                return Exception(-1, "", outParam);
            }

            outParam = input.ToString();
            return Success();
        }
    }
}
